FreeMat

- Main Page
- Related Pages

vtkOpaquePass

Section: Visualization Toolkit Rendering Classes

# Usage

vtkOpaquePass renders the opaque geometry of all the props that have the keys contained in vtkRenderState.

This pass expects an initialized depth buffer and color buffer. Initialized buffers means they have been cleared with farest z-value and background color/gradient/transparent color.

To create an instance of class vtkOpaquePass, simply invoke its constructor as follows

      obj = vtkOpaquePass

# Methods

The class vtkOpaquePass has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkOpaquePass class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkOpaquePass = obj.NewInstance ()`
- `vtkOpaquePass = obj.SafeDownCast (vtkObject o)`